// inverterDlg.h : header file
//

#pragma once
#include "afxwin.h"


// CinverterDlg dialog
class CinverterDlg : public CDialog
{
// Construction
public:
        CinverterDlg(CWnd* pParent = NULL);     // standard constructor

// Dialog Data
        enum { IDD = IDD_INVERTER_DIALOG };

        protected:
        virtual void DoDataExchange(CDataExchange* pDX);        // DDX/DDV support


// Implementation
protected:
        HICON m_hIcon;
        void updateControls();
        CFont FixedFont;
        void UpdateCode(DWORD divisor, struct ms & mag, struct mu & magu);
        void UpdateDivisor();
        BOOL IsPowerOf2(DWORD divisor);
        DWORD log2(DWORD n);

        // Generated message map functions
        virtual BOOL OnInitDialog();
        afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
        afx_msg void OnPaint();
        afx_msg HCURSOR OnQueryDragIcon();
        DECLARE_MESSAGE_MAP()
        CEdit c_Divisor;
        CEdit c_FloatInverse;
        CEdit c_Multiplier;
        CEdit c_SAR;
        CEdit c_FloatInverseOut;
        CEdit c_DivisorOut;
        CEdit c_SARIn;
        CEdit c_MultiplierIn;
        CButton c_Signed;
        CButton c_Unsigned;
        CEdit c_ASM;
        CButton c_Copy;
protected:
    afx_msg void OnEnChangeDivisor();
    virtual void OnCancel();
    virtual void OnOK();
    afx_msg void OnClose();
    afx_msg void OnEnChangeExponent2();
    afx_msg void OnEnChangeMultiplierIn();
    afx_msg void OnEnChangeSarIn();
    afx_msg void OnBnClickedSigned();
    afx_msg void OnBnClickedUnsigned();
    afx_msg void OnBnClickedCopy();
    };
